Subject: bug#40023: 26.3; Emacs crashes when creating process if many file handles are in use (e.g., when using ccls)

From: Eli Zaretskii <[email-masked]>
Date: Thu, 19 Mar 2020 16:36:17 +0200

> From: Robert Pluim <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 19 Mar 2020 11:41:37 +0100
> 
> So I installed lsp-mode and ccls, added lsp to c-mode-hook, visited
> emacs/src/font.c and then said yes when it asked me if I wanted to
> watch all the files (there are ~6500). I then recompiled emacs using
> M-x compile, and saw no crash.

I thought this only happens on some (recent enough) versions of the
OS?

Anyway, thanks for trying.